import axios from 'axios';

import config from './config';

export async function getStopsCountGtfs(){
    //console.log('api:getStopsCountGtfs() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfs() Done.');
    return count;
};

export async function getStopsCountGtfsDe(){
    //console.log('api:getStopsCountGtfsDe() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDe() Done.');
    return count;
};

export async function getStopsCountGtfsDeNotDhid(){
    //console.log('api:getStopsCountGtfsDeNotDhid() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-not-dhid`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDeNotDhid() Done.');
    return count;
};

export async function getStopsCountGtfsDeHb(){
    //console.log('api:getStopsCountGtfsDeHb() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-hb`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDeHb() Done.');
    return count;
};

export async function getStopsCountGtfsDeHbNotDhid(){
    //console.log('api:getStopsCountGtfsDeHbNotDhid() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-hb-not-dhid`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDeHbNotDhid() Done.');
    return count;
};

export async function getStopsCountGtfsDeHhNotDhid(){
    //console.log('api:getStopsCountGtfsDeHhNotDhid() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-hh-not-dhid`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDeHhNotDhid() Done.');
    return count;
};

export async function getStopsCountGtfsDeNiNotDhid(){
    //console.log('api:getStopsCountGtfsDeNiNotDhid() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-ni-not-dhid`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDeNiNotDhid() Done.');
    return count;
};

export async function getStopsCountGtfsDeHh(){
    //console.log('api:getStopsCountGtfsDeHh() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-hh`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDeHh() Done.');
    return count;
};

export async function getStopsCountGtfsDeNi(){
    //console.log('api:getStopsCountGtfsDeNi() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-ni`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDeNi() Done.');
    return count;
};

export async function getStopsCountGtfsDeSh(){
    //console.log('api:getStopsCountGtfsDeSh() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-sh`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDeSh() Done.');
    return count;
};

export async function getStopsCountGtfsDeMv(){
    //console.log('api:getStopsCountGtfsDeMv() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-mv`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDeMv() Done.');
    return count;
};

export async function getStopsCountGtfsDeBb(){
    //console.log('api:getStopsCountGtfsDeBb() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-bb`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDeBb() Done.');
    return count;
};

export async function getStopsCountGtfsDeBe(){
    //console.log('api:getStopsCountGtfsDeBe() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-be`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDeBe() Done.');
    return count;
};

export async function getStopsCountGtfsDeSt(){
    //console.log('api:getStopsCountGtfsDeSt() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-st`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDeSt() Done.');
    return count;
};

export async function getStopsCountGtfsDeNw(){
    //console.log('api:getStopsCountGtfsDeNw() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-nw`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDeNw() Done.');
    return count;
};

export async function getStopsCountGtfsDeHe(){
    //console.log('api:getStopsCountGtfsDeHe() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-he`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDeHe() Done.');
    return count;
};

export async function getStopsCountGtfsDeSn(){
    //console.log('api:getStopsCountGtfsDeSn() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-sn`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDeSn() Done.');
    return count;
};

export async function getStopsCountGtfsDeTh(){
    //console.log('api:getStopsCountGtfsDeTh() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-th`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDeTh() Done.');
    return count;
};

export async function getStopsCountGtfsDeRp(){
    //console.log('api:getStopsCountGtfsDeRp() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-rp`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDeRp() Done.');
    return count;
};

export async function getStopsCountGtfsDeSl(){
    //console.log('api:getStopsCountGtfsDeSl() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-sl`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDeSl() Done.');
    return count;
};

export async function getStopsCountGtfsDeBy(){
    //console.log('api:getStopsCountGtfsDeBy() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-by`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDeBy() Done.');
    return count;
};

export async function getStopsCountGtfsDeBw(){
    //console.log('api:getStopsCountGtfsDeBw() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-bw`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDeBw() Done.');
    return count;
};

export async function getStopsCountGtfsDeShNotDhid(){
    //console.log('api:getStopsCountGtfsDeShNotDhid() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-sh-not-dhid`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDeShNotDhid() Done.');
    return count;
};

export async function getStopsCountGtfsDeMvNotDhid(){
    //console.log('api:getStopsCountGtfsDeMvNotDhid() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-mv-not-dhid`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDeMvNotDhid() Done.');
    return count;
};

export async function getStopsCountGtfsDeBbNotDhid(){
    //console.log('api:getStopsCountGtfsDeBbNotDhid() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-bb-not-dhid`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDeBbNotDhid() Done.');
    return count;
};

export async function getStopsCountGtfsDeBeNotDhid(){
    //console.log('api:getStopsCountGtfsDeBeNotDhid() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-be-not-dhid`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDeBeNotDhid() Done.');
    return count;
};

export async function getStopsCountGtfsDeStNotDhid(){
    //console.log('api:getStopsCountGtfsDeStNotDhid() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-st-not-dhid`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDeStNotDhid() Done.');
    return count;
};

export async function getStopsCountGtfsDeNwNotDhid(){
    //console.log('api:getStopsCountGtfsDeNwNotDhid() Nwart...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-nw-not-dhid`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDeNwNotDhid() Done.');
    return count;
};

export async function getStopsCountGtfsDeHeNotDhid(){
    //console.log('api:getStopsCountGtfsDeHeNotDhid() Heart...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-he-not-dhid`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDeHeNotDhid() Done.');
    return count;
};

export async function getStopsCountGtfsDeSnNotDhid(){
    //console.log('api:getStopsCountGtfsDeSnNotDhid() Snart...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-sn-not-dhid`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDeSnNotDhid() Done.');
    return count;
};

export async function getStopsCountGtfsDeThNotDhid(){
    //console.log('api:getStopsCountGtfsDeThNotDhid() Thart...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-th-not-dhid`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDeThNotDhid() Done.');
    return count;
};

export async function getStopsCountGtfsDeRpNotDhid(){
    //console.log('api:getStopsCountGtfsDeRpNotDhid() Rpart...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-rp-not-dhid`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDeRpNotDhid() Done.');
    return count;
};

export async function getStopsCountGtfsDeSlNotDhid(){
    //console.log('api:getStopsCountGtfsDeSlNotDhid() Slart...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-sl-not-dhid`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDeSlNotDhid() Done.');
    return count;
};

export async function getStopsCountGtfsDeByNotDhid(){
    //console.log('api:getStopsCountGtfsDeByNotDhid() Byart...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-by-not-dhid`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDeByNotDhid() Done.');
    return count;
};

export async function getStopsCountGtfsDeBwNotDhid(){
    //console.log('api:getStopsCountGtfsDeBwNotDhid() Bwart...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-de-bw-not-dhid`;
	const res = await axios.get(address);
	count=res.data[0].count;
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsDeBwNotDhid() Done.');
    return count;
};

export async function getGtfsStopsLastVacuum(){
    console.log('api:getGtfsStopsLastVacuum() Start...');

    let date=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}gtfs-stops-last-vacuum`;
	const res = await axios.get(address);
	date=res.data[0].last_vacuum;
	console.log('api:getGtfsStopsLastVacuum() date: ' + date);
    } catch (err) {
        console.error('err.message: ' + err.message);
	date=-1;
    }
    console.log('api:getGtfsStopsLastVacuum() Done.');
    return date;
};

export async function getStopsCountGtfsLt0(){
    //console.log('api:getStopsCountGtfsLt0() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}stops-count-gtfs-lt-0`;
	const res = await axios.get(address);
	count=res.data[0].count;
	console.log('api:getStopsCountGtfsLt0() count: ' + count);
    } catch (err) {
        console.error('err.message: ' + err.message);
	count=-1;
    }
    //console.log('api:getStopsCountGtfsLt0() Done.');
    return count;
};

